use clap::Parser;

// 构建命令行工具的结构体
#[derive(Clone, Debug, Parser)]
#[command(author, version, about, long_about = None)]
pub struct Cli {
    /// 输入的文件，应为 cvrf 格式的 xml
    #[arg(short, long)]
    pub input: String,

    /// 可选项，将 cvrf 转换为 cusa 后输出到对应的文件中，格式为 json
    #[arg(short, long)]
    pub output: Option<String>,

    /// 是否在终端打印转换后的 cusa 内容，若不指定输出文件，则输出至终端，
    /// 在指定 output 后同时使用该选项，亦可同时输出至文件和终端
    #[arg(short, long, default_value_t = false)]
    pub print: bool,
}

pub fn parse() -> Cli {
    Cli::parse()
}